curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/progress-bar-design-classic' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "ProgressBar",
"name": "Classic Progress Bar Design Updated",
"externalId": "progress-bar-design-classic",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Classic Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "classic"
}
}'
curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/progress-bar-design-milestones' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "ProgressBar",
"name": "Milestone Progress Bar Design Updated",
"externalId": "progress-bar-design-milestones",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Milestone Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "milestones",
"milestones": {
"milestoneCompletedIconUrl": "https://example.com/checkmark-new.png",
"tooltipBackgroundColor": "#1f9eec"
}
}
}'
{
"id": "6a2536c0b0fbdcd303bd861b",
"offerUiType": "ProgressBar",
"name": "Classic Progress Bar Design Updated",
"externalId": "progress-bar-design-classic",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Classic Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "classic",
"milestones": null
}
}
{
"id": "6a2536c0b0fbdcd303bd861c",
"offerUiType": "ProgressBar",
"name": "Milestone Progress Bar Design Updated",
"externalId": "progress-bar-design-milestones",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Milestone Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "milestones",
"milestones": {
"milestoneCompletedIconUrl": "https://example.com/checkmark-new.png",
"tooltipBackgroundColor": "#1f9eec"
}
}
}
Update Progress Bar Design
Updates a progress bar design.
When you update a progress bar design, progressBar.type defaults to classic. To keep a milestones design, set progressBar.type to milestones and include the milestones object.
curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/progress-bar-design-classic' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "ProgressBar",
"name": "Classic Progress Bar Design Updated",
"externalId": "progress-bar-design-classic",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Classic Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "classic"
}
}'
curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/progress-bar-design-milestones' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "ProgressBar",
"name": "Milestone Progress Bar Design Updated",
"externalId": "progress-bar-design-milestones",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Milestone Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "milestones",
"milestones": {
"milestoneCompletedIconUrl": "https://example.com/checkmark-new.png",
"tooltipBackgroundColor": "#1f9eec"
}
}
}'
{
"id": "6a2536c0b0fbdcd303bd861b",
"offerUiType": "ProgressBar",
"name": "Classic Progress Bar Design Updated",
"externalId": "progress-bar-design-classic",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Classic Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "classic",
"milestones": null
}
}
{
"id": "6a2536c0b0fbdcd303bd861c",
"offerUiType": "ProgressBar",
"name": "Milestone Progress Bar Design Updated",
"externalId": "progress-bar-design-milestones",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Milestone Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "milestones",
"milestones": {
"milestoneCompletedIconUrl": "https://example.com/checkmark-new.png",
"tooltipBackgroundColor": "#1f9eec"
}
}
}
curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/progress-bar-design-classic' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "ProgressBar",
"name": "Classic Progress Bar Design Updated",
"externalId": "progress-bar-design-classic",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Classic Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "classic"
}
}'
curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/progress-bar-design-milestones' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "ProgressBar",
"name": "Milestone Progress Bar Design Updated",
"externalId": "progress-bar-design-milestones",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Milestone Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "milestones",
"milestones": {
"milestoneCompletedIconUrl": "https://example.com/checkmark-new.png",
"tooltipBackgroundColor": "#1f9eec"
}
}
}'
{
"id": "6a2536c0b0fbdcd303bd861b",
"offerUiType": "ProgressBar",
"name": "Classic Progress Bar Design Updated",
"externalId": "progress-bar-design-classic",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Classic Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "classic",
"milestones": null
}
}
{
"id": "6a2536c0b0fbdcd303bd861c",
"offerUiType": "ProgressBar",
"name": "Milestone Progress Bar Design Updated",
"externalId": "progress-bar-design-milestones",
"backgroundImageUrl": "https://media.appcharge.com/defaults/background.png",
"backgroundColor": {
"colorOne": "#222222",
"colorTwo": "#444444",
"gradientDirection": "to bottom"
},
"backgroundOpacity": 90,
"frameRadius": 12,
"headerImageUrl": "https://example.com/header-new.png",
"title": {
"text": "Updated Milestone Bar",
"fontColor": "#FF0000",
"fontSize": 12,
"fontWeight": "bold"
},
"subtitle": {
"text": "New rewards at every step",
"fontColor": "#FF0000",
"fontSize": 9,
"fontWeight": "medium"
},
"progressBar": {
"barFillColor": {
"colorOne": "#00FF00",
"colorTwo": "#007700",
"gradientDirection": "to right"
},
"backgroundColor": {
"colorOne": "#333333",
"colorTwo": "#555555",
"gradientDirection": "to right"
},
"borderColor": {
"colorOne": "#FF0000",
"colorTwo": "#880000",
"gradientDirection": "to bottom"
},
"borderWidth": 4,
"barRadius": 8,
"accumulatedItem": {
"imageUrl": "https://example.com/item-new.png",
"ribbonImageUrl": "https://example.com/ribbon-new.png"
},
"textColor": "#FF0000",
"type": "milestones",
"milestones": {
"milestoneCompletedIconUrl": "https://example.com/checkmark-new.png",
"tooltipBackgroundColor": "#1f9eec"
}
}
}
Headers
Publisher token, as displayed in the Publisher Dashboard.
Path Parameters
Offer Design ID that you defined.
Body
Updates a progress bar design.
Progress bar configuration for update requests.
Show child attributes
Show child attributes
Offer design type.
ProgressBar "ProgressBar"
Offer design name.
"Classic Progress Bar Design"
External identifier for the offer design.
"progress-bar-design-classic"
Background image URL of the progress bar frame. Required if backgroundColor isn't provided.
"https://media.appcharge.com/defaults/background.png"
Background color of the progress bar frame. Required if backgroundImageUrl isn't provided.
To use a solid color, pass the same value for colorOne and colorTwo.
Show child attributes
Show child attributes
Opacity of the progress bar frame's backgroundColor (0 to 100). If you use backgroundImageUrl for the frame background, this value has no effect but must still be passed.
100
Radius of the progress bar frame.
8
Header image URL.
"https://cdn.example.com/header.png"
Progress bar title.
Show child attributes
Show child attributes
Progress bar subtitle.
Show child attributes
Show child attributes
Response
Offer design updated successfully.
Offer Design ID.
"6909e7684f11e8957afd5d53"
Offer design type.
ProgressBar "ProgressBar"
Offer design name.
"Classic Progress Bar Design"
External identifier for the offer design.
"progress-bar-design-classic"
Background image URL of the progress bar frame.
"https://media.appcharge.com/defaults/background.png"
Background color of the progress bar frame. Required if backgroundImageUrl isn't provided.
To use a solid color, pass the same value for colorOne and colorTwo.
Show child attributes
Show child attributes
Opacity of the progress bar frame's backgroundColor (0 to 100).
100
Radius of the progress bar frame.
8
Header image URL.
"https://cdn.example.com/header.png"
Progress bar title.
Show child attributes
Show child attributes
Progress bar subtitle.
Show child attributes
Show child attributes
Progress bar configuration.
Show child attributes
Show child attributes
Was this page helpful?
